> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazoncreatelightsailinstancesnapshotsparameters-object.md).

# AmazonCreateLightsailInstanceSnapshotsParameters Object

## Description

Parameters for the Amazon Create Lightsail Instance Snapshots action.

## Properties

### consistencyMethod

Consistency method to use when creating the snapshots.

Type: `string`

Valid Values:

* `none`
* `stop-instance`

Required: Yes

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### instanceIdentificationMethod

Method to use to identify the instances for which snapshots will be created.

Type: `string`

Valid Values:

* `all-instances`
* `by-instance-name`

Required: Yes

### instanceNameComparison

Comparison to use when comparing instance names. Required when `instanceIdentificationMethod` is `by-instance-name`.

Type: [LightsailInstanceNameComparison](/data-types/lightsailinstancenamecomparison-object.md) object

Required: Conditional

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### snapshotName

Name of the snapshots to be created.

Type: `string`

Required: Yes

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    
    "instanceIdentificationMethod": "by-instance-name",
    "instanceNameComparison": {
        "compareType": "starts-with",
        "instanceName": "prod-"
    },
    
    "snapshotName": "$(INSTANCENAME)-$(DATE)",
    "consistencyMethod": "stop-instance"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncreatelightsailinstancesnapshotsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
